import re


def is_empty_string(empty_string: str) -> bool:
    """ Returns True if given string is None or only contains whitespace characters.

    Arguments:
        empty_string (str): String to test for emptiness.

    Returns:
        bool: True if given string is None or only contains whitespace characters.
    """
    return ((empty_string is None) or (empty_string.strip() == ''))


def is_integer_string(integer_string: str) -> bool:
    """ Returns True if given string contains a positive or negative integer.

    Arguments:
        integer_string (str): String to test for integer.

    Returns:
        bool: True if given string contains a positive or negative integer.
    """
    if (is_empty_string(integer_string)):
        return False
    is_integer_match = re.match(r"[-+]?\d+$", integer_string)
    return (is_integer_match is not None)


def is_not_empty_string(empty_string: str) -> bool:
    """ Returns True if given string contains characters.

    Arguments:
        empty_string (str): String to test for emptiness.

    Returns:
        bool: True if given string contains characters.
    """
    return (not is_empty_string(empty_string))
