class DataObject():
    """ Generic data class which provides generic functionality. """

    def get_value(self, data: dict, key: str) -> object:
        """ Get value from dictionary.

        Arguments:
            data (dict): Data stored in a dictionary.
            key (str): Key in dictionary.

        Returns:
            Requested value or None if data does not have a value with the specified key.

        """

        if (key in data.keys()):
            return data[key]
        else:
            return None

    def update_data(self, data : dict) -> None:
        """ Update data in this object with provided information.

        Default implementation is to set fields in object with the same
        name as the keys in the dictionary.

        Arguments:
            data (dict): Information stored as a dictionary.

        """

        for key in data:
            setattr(self, key, data[key])
