class PlaceNameSearchResult():
    PLACE_NAME_SEARCH_RESULT_MESSAGE = (
        ('PlaceNamesFound', 'Sökresultat'),
        ('InvalidPlaceNameIdProvided', 'Angivet id för ortnamn är inte ett heltal'),
        ('InvalidPlaceNameBasisIdProvided', 'Angivet id för arkivpost är inte ett heltal'),
        ('NoPlaceNameBasisIdProvided', 'Id för arkivpost saknas'),
        ('NoPlaceNameBasisWithProvidedIdFound', 'Ingen arkivpost har det id som angivits'),
        ('NoPlaceNameIdProvided', 'Id för ortnamn saknas'),
        ('NoPlaceNamesFound', 'Din sökning på ortnamn gav inga träffar'),
        ('NoPlaceNameWithProvidedIdFound', 'Inget ortnamn har det id som angivits'),
    )

    """ The result of a place name search. """

    # count = models.BigIntegerField(null=False)
    # message = PLACE_NAME_SEARCH_RESULT_MESSAGE
    # message = models.CharField(max_length=128, choices=PLACE_NAME_SEARCH_RESULT_MESSAGE, default=PlaceNamesFound)
    # page_number = models.BigIntegerField(null=False)
    # page_size = models.BigIntegerField(null=False)
    # Property "place_names" is an array with instances of data type PlaceName.

    def __init__(self):
        self.count = 0
        self.message = None
        self.page_number = 0
        self.page_size = 0
        self.place_names = None

    def get_message(self) -> str:
        if (hasattr(self, 'message')):
            for place_name_search_result_message in PlaceNameSearchResult.PLACE_NAME_SEARCH_RESULT_MESSAGE:
                if (place_name_search_result_message[0] == self.message):
                    return place_name_search_result_message[1]

        return ''

    def has_place_names(self) -> bool:
        return self.count > 0
