from django.db import models
from ISOF.model.data_object import DataObject
from model.data_field import DataField


class WebServiceData(DataObject, models.Model):
    """ Generic class with functionality that can be useful for data handling internally in web services.

    Fields:
        fields (List[DataField]): Any information can be added to the data in this list. Currently not used.
        id (int): Id for this data. Not all data has an id today.
        identifier (string): Permanent global identification of this data. Currently not used.
    """

    identifier = models.CharField(max_length=1024, null=True, blank=True)

    def __init__(self):
        super().__init__()
        self.fields = []
        self.id = None
        self.identifier = ''
