from django.test import TestCase
from ISOF.model.geo_reference_manager import GeoReferenceManager


class TestGeoReferenceManager(TestCase):

    def setUp(self):
        self.geo_reference_manager = GeoReferenceManager()

    def tearDownModule(self):
        pass

    def test_constructor(self):
        geo_reference_manager = GeoReferenceManager()
        self.assertIsNotNone(geo_reference_manager)

    def test_get_counties(self):
        counties = self.geo_reference_manager.get_counties()
        self.assertIsNotNone(counties)
        self.assertGreater(len(counties), 18)
        self.assertLess(len(counties), 30)

    def test_get_districts(self):
        districts = self.geo_reference_manager.get_districts()
        self.assertIsNotNone(districts)
        self.assertGreater(len(districts), 250)
        self.assertLess(len(districts), 400)

    def test_get_parishes(self):
        parishes = self.geo_reference_manager.get_parishes()
        self.assertIsNotNone(parishes)
        self.assertGreater(len(parishes), 2000)
        self.assertLess(len(parishes), 3000)

    def test_get_provinces(self):
        provinces = self.geo_reference_manager.get_provinces()
        self.assertIsNotNone(provinces)
        self.assertGreater(len(provinces), 20)
        self.assertLess(len(provinces), 30)

