from django.test import TestCase
from ISOF.common.string_functions import is_empty_string, is_integer_string, is_not_empty_string


class TestStringFunctions(TestCase):
    def test_is_empty_string(self):
        test_string = None
        self.assertTrue(is_empty_string(test_string))

        test_string = ''
        self.assertTrue(is_empty_string(test_string))

        # Test with space.
        test_string = ' '
        self.assertTrue(is_empty_string(test_string))

        # Test with tab.
        test_string = ' '
        self.assertTrue(is_empty_string(test_string))

        # Test with new line
        test_string = '\n'
        self.assertTrue(is_empty_string(test_string))

        # Test with several whitespace characters.
        test_string = '     \n'
        self.assertTrue(is_empty_string(test_string))

        test_string = 'a'
        self.assertFalse(is_empty_string(test_string))

        test_string = 'hej'
        self.assertFalse(is_empty_string(test_string))

    def test_is_integer_string(self):
        test_string = None
        self.assertFalse(is_integer_string(test_string))

        test_string = ''
        self.assertFalse(is_integer_string(test_string))

        test_string = 'a'
        self.assertFalse(is_integer_string(test_string))

        test_string = 'a1'
        self.assertFalse(is_integer_string(test_string))

        test_string = '1.0'
        self.assertFalse(is_integer_string(test_string))

        test_string = '+'
        self.assertFalse(is_integer_string(test_string))

        test_string = '-'
        self.assertFalse(is_integer_string(test_string))

        test_string = '1'
        self.assertTrue(is_integer_string(test_string))

        test_string = '1466456656'
        self.assertTrue(is_integer_string(test_string))

        test_string = '+1466456656'
        self.assertTrue(is_integer_string(test_string))

        test_string = '-1466456656'
        self.assertTrue(is_integer_string(test_string))

    def test_is_not_empty_string(self):
        test_string = None
        self.assertFalse(is_not_empty_string(test_string))

        test_string = ''
        self.assertFalse(is_not_empty_string(test_string))

        # Test with space.
        test_string = ' '
        self.assertFalse(is_not_empty_string(test_string))

        # Test with tab.
        test_string = ' '
        self.assertFalse(is_not_empty_string(test_string))

        # Test with new line
        test_string = '\n'
        self.assertFalse(is_not_empty_string(test_string))

        # Test with several whitespace characters.
        test_string = '     \n'
        self.assertFalse(is_not_empty_string(test_string))

        test_string = 'a'
        self.assertTrue(is_not_empty_string(test_string))

        test_string = 'hej'
        self.assertTrue(is_not_empty_string(test_string))
