"""
Django settings for RikstermbankenDjango project.

Generated by 'django-admin startproject' using Django 3.2.12.

For more information on this file, see
https://docs.djangoproject.com/en/3.2/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/3.2/ref/settings/
"""

from pathlib import Path
import pytz

# Build paths inside the project like this: BASE_DIR / 'subdir'.
BASE_DIR = Path(__file__).resolve().parent.parent


# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/3.2/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = 'django-insecure-$j^hl-0ph+6!+4=%vh39yn=41ca&3#m-^ogb(hkyi80z3mk55e'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

ALLOWED_HOSTS = [u'localhost', u'127.0.0.1']


# Application definition

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    # 'django.contrib.staticfiles',
    'model.apps.ModelConfig',
    'rikstermbanken_edit.apps.RikstermbankenEditConfig',
    'rikstermbanken_public.apps.RikstermbankenPublicConfig',
    'tinymce',
]

MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

ROOT_URLCONF = 'RikstermbankenDjango.urls'

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],
        },
    },
]

WSGI_APPLICATION = 'RikstermbankenDjango.wsgi.application'

LOGIN_URL = '/admin/login/'

# Database
# https://docs.djangoproject.com/en/3.2/ref/settings/#databases

DATABASES = {
    'default': {
        'HOST': '',
        'PORT': '',
        'NAME': 'rikstermbanken',
        'ENGINE': 'django.db.backends.mysql',
        'USER': '',
        'PASSWORD': '',
    }
}


# Password validation
# https://docs.djangoproject.com/en/3.2/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]


# Internationalization
# https://docs.djangoproject.com/en/3.2/topics/i18n/

LANGUAGE_CODE = 'en-us'

TIME_ZONE = 'UTC'

USE_I18N = True

USE_L10N = True

USE_TZ = True


# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/3.2/howto/static-files/

STATIC_URL = '/static/'
STATIC_ROOT = "./RikstermbankenDjango/static"

# Default primary key field type
# https://docs.djangoproject.com/en/3.2/ref/settings/#default-auto-field

DEFAULT_AUTO_FIELD = 'django.db.models.BigAutoField'

BANKVALVET_DIRECTORY = r''
EMAIL_ADDRESS = r'terminologi@isof.se'
SWEDISH_LANGUAGE_CODE = 'sv'
TIME_ZONE_STOCKHOLM = pytz.timezone('Europe/Stockholm')
NEW_TERM_POST_SOURCE_LIMIT = 2019

# Static information pages
# Help
HELP_SEARCH_URL = r'/help/show-info-page?page-name=help_search'
HELP_RESULT_URL = r'/help/show-info-page?page-name=help_result'
HELP_TERMPOST_URL = r'/help/show-info-page?page-name=help_termpost'
HELP_TERMPOST_PARTS_URL = r'/help/show-info-page?page-name=help_termpost_parts'
HELP_TERM_COLLECTION_URL = r'/help/show-info-page?page-name=help_term_collection'

#About
ABOUT_PUBLISHED_RESOURCES_URL = r'/about/published_resources'
ABOUT_OTHER_RESOURCES_URL = r'/help/show-info-page?page-name=about_other_resources'
ABOUT_CONTACT_URL = r'/help/show-info-page?page-name=about_contact'
ABOUT_RIKSTERMBANKEN_URL = r'/help/show-info-page?page-name=about_rikstermbanken'
ABOUT_PUBLISHING_URL = r'/help/show-info-page?page-name=about_publishing'
