let timestamps = [];

function playaudio(href, autoplay) {
    let audio = $(".inlineaudioplayer").find("audio");
    audio.attr("src", href);
    console.log("audio set to", href);
    let starttime = parsetimestamp(href)[0];
    let timestamp = in_timestamp(starttime);
    if (timestamp) {
	console.log("playaudio", starttime, "title", timestamp.title);
	$(".inlineaudioplayer .title").text(timestamp.title);
    }
    if (autoplay) {
	audio.attr("autoplay", "autoplay");
    }
}

function in_timestamp(currenttime) {
    return _.find(timestamps, function(timestamp) {
	return (currenttime >= timestamp.starttime && currenttime < timestamp.endtime);
    });
}

function updatetitle() {
    let currenttime = $(".inlineaudioplayer audio")[0].currentTime;
    //console.log("updatetitle", currenttime);
    let oldtitle = $(".inlineaudioplayer .title").text();
    let element = null;
    let newtitle = "\u00a0";
    let timestamp = in_timestamp(currenttime);
    if (timestamp) {
	newtitle = timestamp.title;
	element = timestamp.element;	
    }
    $(".currentposition").removeClass("currentposition");
    let outerElement = null;
    if (element) {
	outerElement = $(element).closest("div");
	outerElement.addClass("currentposition");
    }
    //console.log("updatetitle", newtitle, oldtitle);
    if (newtitle != oldtitle) {
	updatebodyoffset();
	$(".inlineaudioplayer .title").text(newtitle).click(function () {
	    if (outerElement) {
		scrollIntoViewAdjusted(outerElement[0]);
	    }
	});
	if (outerElement && $("#inlineaudioplayer_follow")[0].checked) {
	    scrollIntoViewAdjusted(outerElement[0]);
	}
    }
}

function scrollIntoViewAdjusted(element) {
    //console.log(element);
    console.log("scrollIntoViewAdjusted", window.innerHeight);
    let playerheight = $(".inlineaudioplayer")[0].clientHeight;
    let availableHeight = window.innerHeight - playerheight;
    let elementHeight = element.clientHeight;
    element.scrollIntoView(true);
    window.scroll(0, window.scrollY - playerheight - availableHeight / 2 + elementHeight / 2);
}

function updatebodyoffset() {
    $("body").css("padding-top", $(".inlineaudioplayer").css("height"));
    $("body").css("padding-bottom", window.innerHeight + "px");
}

function parsetimestamp(url) {
    let timestamp = /#t=(\d+):(\d+):(\d+),(\d+):(\d+):(\d+)$/.exec(url);
    if (timestamp) {
	let starttime = parseInt(timestamp[1]) * 3600 + parseInt(timestamp[2]) * 60 + parseInt(timestamp[3]);
	let endtime = parseInt(timestamp[4]) * 3600 + parseInt(timestamp[5]) * 60 + parseInt(timestamp[6]);
	return [starttime, endtime];
    } else {
	let timestamp = /#t=(\d+):(\d+):(\d+)$/.exec(url);
	if (timestamp) {
	    let starttime = parseInt(timestamp[1]) * 3600 + parseInt(timestamp[2]) * 60 + parseInt(timestamp[3]);
	    return [starttime, Infinity];
	} else {
	    return [0, Infinity];
	}
    }
}

$(function () {
    let audiofile = $("a[href$='.mp3']").attr("href");
    let player = $("<div class='inlineaudioplayer'><audio controls></audio><div style='float: right;'><input checked type='checkbox' id='inlineaudioplayer_follow'> <label for='inlineaudioplayer_follow'>Följ med i texten</label></div><div class='title'>&nbsp;</div></div>");
    if (audiofile) {
	player.find("audio").attr("src", audiofile);
    }
    player.find("audio").on("timeupdate", function () {console.log("timeupdate");updatetitle();});
//    player.find("audio").on("loadedmetadata", function () {console.log("loadedmetadata");updatetitle();});
    $("body").prepend(player);
    updatebodyoffset();
    
    $("a[href*='.mp3#t=']").each(function() {
	let link = $(this);
	let href = link.attr("href");
	if (/\.mp3#t=/.test(href)) {
	    let title = link.closest("h4")[0].childNodes[0].nodeValue;
	    let h4 = link.closest("h4");
	    link.detach();
	    title = title.replace(/\s*\[.\s*$/, "");
	    h4.text(title);
	    h4.append(link);
	    link.empty();
	    let playbutton = $("<div class='inlineaudioplayer-playbutton'></div>");
	    h4.closest("div").append(playbutton);
	    //console.log(href);
	    let timestamp = parsetimestamp(href);
	    let starttime = timestamp[0];
	    let endtime = timestamp[1];
	    timestamps.push({title:title, starttime:starttime, endtime:endtime, element:this});
	    playbutton.click(function (e) {
		e.preventDefault();
		playaudio(link.attr("href"), true);
	    });
	}
    });
    if (window.location.hash != "") {
	let link = $(window.location.hash).find("a");
	playaudio(link.attr("href"), false);
	scrollIntoViewAdjusted($(window.location.hash).closest("div")[0]);
    }
    //updatetitle();
    //console.log(timestamps);

});
