from django.conf import settings
# from elasticsearch import Elasticsearch
from ISOF.common.string_functions import is_empty_string, is_not_empty_string
from ISOF.configuration import Configuration


class ElasticsearchManager():
    """ Handles term related information in Elasticsearch.

    Class attributes:
        database:                       Term related information are retrieved from this Elasticsearch connection.
        database_address:               URL to Elasticsearch.
        term_post_public_index:         Name of the index in Elasticsearch where public term posts are stored.
        term_post_source_public_index:  Name of the index in Elasticsearch where public term post sources are stored.
        term_post_source_staging_index: Name of the index in Elasticsearch where staging term post sources are stored.
        term_post_staging_index:        Name of the index in Elasticsearch where staging term posts are stored.
    """

    database = None
    database_address = None
    # term_post_public_index = settings.ELASTICSEARCH_TERM_POST_PUBLIC_INDEX
    # term_post_source_public_index = settings.ELASTICSEARCH_TERM_POST_SOURCE_PUBLIC_INDEX
    # term_post_source_staging_index = settings.ELASTICSEARCH_TERM_POST_SOURCE_STAGING_INDEX
    # term_post_staging_index = settings.ELASTICSEARCH_TERM_POST_STAGING_INDEX

    # Get address to Elasticsearch.
    if (Configuration.computer == Configuration.BEAR_DEVELOPMENT_COMPUTER_NAME):
        database_address = Configuration.LOCALHOST_ADDRESS
    if (Configuration.computer == Configuration.FRIGG_TEST_NAME):
        database_address = Configuration.SAGA_TEST_ADDRESS
    if (Configuration.computer == Configuration.FRIGG_NAME):
        database_address = Configuration.SAGA_ADDRESS

    # Connect to Elasticsearch.
    # if (is_not_empty_string(database_address)):
        # database = Elasticsearch([{'host': database_address}])

