import markupsafe


iftexts = {
    "term":{
        "sg":{
            "rec": markupsafe.Markup("term&nbsp;(rek.)"),
            "std": "term",
            "acc": markupsafe.Markup("term&nbsp;(acc.)"),
            "dep": "term\u00a0(avr\u00e5dd)",
            "inf": markupsafe.Markup("term&nbsp;(uttydning)"),
        },
        "pl":{
            "rec": markupsafe.Markup("termer&nbsp;(rek.)"),
            "std": "termer",
            "acc": markupsafe.Markup("termer&nbsp;(acc.)"),
            "dep": markupsafe.Markup("termer&nbsp;(avr\u00e5dda)"),
            "inf": markupsafe.Markup("termer&nbsp;(uttydning)"),
        },
    },
    "phrase":{
        "sg":{
            "rec": markupsafe.Markup("fras&nbsp;(rekommenderad)"),
            "std": "fras",
            "acc": markupsafe.Markup("fras&nbsp;(accepterad)"),
            "dep": "fras\u00a0(avr\u00e5dd)",
        },
        "pl":{
            "rec": markupsafe.Markup("fraser&nbsp;(rekommenderade)"),
            "std": "fraser",
            "acc": markupsafe.Markup("fraser&nbsp;(accepterade)"),
            "dep": markupsafe.Markup("fraser&nbsp;(avr\u00e5dda)"),
        },
    },
    "formula":{
        "sg":{
            "rec": markupsafe.Markup("beteckning/formel&nbsp;(rekommenderad)"),
            "std": "beteckning/formel",
            "acc": markupsafe.Markup("beteckning/formel&nbsp;(accepterad)"),
            "dep": "beteckning/formel\u00a0(avr\u00e5dd)",
        },
        "pl":{
            "rec": markupsafe.Markup("beteckningar/formler&nbsp;(rekommenderade)"),
            "std": "beteckningar/formler",
            "acc": markupsafe.Markup("beteckningar/formler&nbsp;(accepterade)"),
            "dep": markupsafe.Markup("beteckningar/formler&nbsp;(avr\u00e5dda)"),
        },
    },
    "lang":{
        "sg":{
            "sv": "svensk",
            "en": "engelsk",
            "de": "tysk",
            "fr": "fransk",
            "es": "spansk",
            "ca": "katalansk",
            "no": "norsk",
            "nb": "norsk\u00a0(bokm\u00e5l)",
            "nn": "nynorsk",
            "da": "dansk",
            "fi": "finsk",
            "fit": "me\u00e4nkielisk",
            "se": "nordsamisk",
            "is": "isl\u00e4ndsk",
            "ru": "rysk",
            "et": "estnisk",
            "ja": "japansk",
            "hr": "bosn./kroat./serb.",
            "pl": "polsk",
            "gr": "grekisk",
            "tr": "turkisk",
            "ku": "kurdisk",
            "fo": "f\u00e4r\u00f6isk",
            "kl": "gr\u00f6nl\u00e4ndsk",
            "la": "latinsk",
            "ar": "arabisk",
            "so": "somalisk",
            "rom": "romsk",
            "sw": "swahilisk",
            "cs": "tjeckisk",
            "mt": "maltesisk",
            "sk": "slovakisk",
            "sl": "slovensk",
            "bg": "bulgarisk",
            "ro": "rum\u00e4nsk",
            "gl": "galicisk",
            "kr": "kroatisk",
            "it": "italiensk",
            "sq": "albansk",
            #"rm": "romsk\u00a0(arli)",          # Ta bort när den ej används längre, ersatt av rmn
            #"rk": "romsk\u00a0(kelderasch)",    # Ta bort när den ej används längre, ersatt av rmy
            #"ra": "romsk\u00a0(arli)",          # Ta bort när den ej används längre, ersatt av rmn
            "re": "lang.re.adj1", # XXX
            "nl": "nederl\u00e4ndsk",
            "pt": "portugisisk",
            "il": "lang.il.adj1", # XXX
            "rmn": "romsk\u00a0(arli)",         # Ersätter rm och ra
            "rmy": "romsk\u00a0(kelderasch)",   # Ersätter rk
        },
        "pl":{
            "sv": "svenska",
            "en": "engelska",
            "de": "tyska",
            "fr": "franska",
            "es": "spanska",
            "ca": "katalanska",
            "no": "norska",
            "nb": "norska\u00a0(bokm\u00e5l)",
            "nn": "nynorska",
            "da": "danska",
            "fi": "finska",
            "fit": "me\u00e4nkieliska",
            "se": "nordsamiska",
            "is": "isl\u00e4ndska",
            "ru": "ryska",
            "et": "estniska",
            "ja": "japanska",
            "hr": "bosn./kroat./serb.",
            "pl": "polska",
            "gr": "grekiska",
            "tr": "turkiska",
            "ku": "kurdiska",
            "fo": "f\u00e4r\u00f6iska",
            "kl": "gr\u00f6nl\u00e4ndska",
            "la": "latinska",
            "ar": "arabiska",
            "so": "somaliska",
            "rom": "romska",
            "sw": "swahiliska",
            "cs": "tjeckiska",
            "mt": "maltesiska",
            "sk": "slovakiska",
            "sl": "slovenska",
            "bg": "bulgariska",
            "ro": "rum\u00e4nska",
            "gl": "galiciska",
            "kr": "kroatiska",
            "it": "italienska",
            "sq": "albanska",
            #"rm": "romska\u00a0(arli)",         # Ta bort när den ej används längre, ersatt av rmn
            #"rk": "romska\u00a0(kelderasch)",   # Ta bort när den ej används längre, ersatt av rmy
            #"ra": "romska\u00a0(arli)",         # Ta bort när den ej används längre, ersatt av rmn
            "re": "lang.re.adj1", # XXX
            "nl": "nederl\u00e4ndska",
            "pt": "portugisiska",
            "il": "lang.il.adj1", # XXX
            "rmn": "romska\u00a0(arli)",         # Ersätter rm och ra
            "rmy": "romska\u00a0(kelderasch)",   # Ersätter rk
        },
    },
    "texttype": {
        "comment": "anm\u00e4rkning",
        "language_usage_explanation": "spr\u00e5kbruksanm\u00e4rkning",
        "equivalence": "ekvivalensanm\u00e4rkning",
        "internanm": "internanm\u00e4rkning",
        "example": "exempel",
        "context": "kontext",
        "definition": "definition",
        "source": "k\u00e4lla",
        "classification": "klassifikation",
        "domain": "anv\u00e4ndningsomr\u00e5de",
        "refterm": "K\u00e4lla",
        "explanation": "f\u00f6rklaring",
        "seealso": "se \u00e4ven",
        "inkorpterm": "inkorporerad term",
        "seeunder": "se vidare under",
        "illustration": "illustrationer",
    },
    "textmisc": {
        "abbreviation": "f\u00f6rkortning",
        "fullform": "of\u00f6rkortad form",
    },
    "illustration":{
        "illustration":"illustration",
        "concept diagram":"begreppsdiagram",
    },
}

