class SourceFileSegment():
    """ Represents one segment in the source file.
        Segments are divided by empty rows.
    """

    def __init__(self, source_file, file):
        self.rows = []
        for row in file:
            row = row.rstrip()
            row = row.lstrip("\ufeff")
            if row and row[0] in " \t":
                if self.rows:
                    self.rows[-1] += "\u2029" + row.lstrip(" \t")
                else:
                    # XXX bug compatibility
                    source_file.log("Första raden börjar med mellanslag:", repr(row))
                    self.rows.append(row.lstrip())
            elif row:
                self.rows.append(row)
            else:
                if (self.rows):
                    return

    def is_header_segment(self):
        return (self.rows[0][0:6] == 'global')

    def is_metadata_segment(self):
        return (self.rows[0][0:8] == 'metapost')
