from django.db import models


def get_url_parameter(context, skip_parameters, parameters, parameter_name_url, parameter_name_context):
    if (parameter_name_url not in skip_parameters):
        parameter = None
        if (parameter_name_context in context):
            parameter = context[parameter_name_context]
        if (parameter is not None):
            if (type(parameter) is bool):
                if (parameter):
                    parameter = 'true'
                else:
                    parameter = 'false'
            if (type(parameter) is int):
                parameter = str(parameter)
            if (type(parameter) is list):
                temp_parameter_string = ''
                for temp_parameter in parameter:
                    if (temp_parameter_string != ''):
                        temp_parameter_string = temp_parameter_string + '&' + parameter_name_url + '='
                    temp_parameter_string = temp_parameter_string + temp_parameter
                parameter = temp_parameter_string

            if (parameters is None):
                parameters = parameter_name_url + '=' + parameter
            else:
                parameters = parameters + '&' + parameter_name_url + '=' + parameter
    return parameters


# Get parameters that should be included in URL.
def get_url_parameters(context, skip_parameters={}):
    parameters = None

    parameters = get_url_parameter(context, skip_parameters, parameters, 'q', 'search_word')
    parameters = get_url_parameter(context, skip_parameters, parameters, 's', 'search_type')
    parameters = get_url_parameter(context, skip_parameters, parameters, 'deflang', 'request_definition_languages')
    parameters = get_url_parameter(context, skip_parameters, parameters, 'termlang', 'request_term_languages')
    parameters = get_url_parameter(context, skip_parameters, parameters, 'searchlang', 'request_search_languages')

    if (parameters is None):
        parameters = ""
    else:
        parameters = '?' + parameters
    return parameters

