from django.urls import path, re_path
from django.conf.urls import url
from rikstermbanken_public import views

# App name must be specified, otherwise Django will complain about the URL's.
app_name = "public"

urlpatterns = [
    path(r'kallor/<int:source_id>', views.get_source),
    re_path(r'^kallor$', views.get_sources),
    path(r'termposter/<int:source_id>/<str:slug>', views.get_term_post),
    re_path(r'^search$', views.get_term_post_search_result),
    re_path(r'^$', views.get_start_page),
#    path(r'help/search', views.get_help_search),
#    path(r'help/explore', views.get_help_explore),
#    path(r'help/result', views.get_help_result),
#    path(r'help/termpost', views.get_help_termpost),
#    path(r'help/termpost_parts', views.get_help_termpost_parts),
    path(r'help/term_collection', views.get_help_term_collection),
#    path(r'help/other', views.get_help_other),
#    path(r'help/contribute', views.get_help_contribute),
    path(r'about/published_resources', views.get_about_published_resources),
#    path(r'about/technology_and_format', views.get_about_technology_and_format),
#    path(r'about/copyright', views.get_about_copyright),
#    path(r'about/history', views.get_about_history),
#    path(r'about/accessibility', views.get_about_accessibility),
#    path(r'about/other_resources', views.get_other_resources),
#    path(r'about/contact', views.get_about_contact),
#    path(r'about/rikstermbanken', views.get_about_rikstermbanken),
#    path(r'about/publishing', views.get_about_publishing),
    path(r'help/show-info-page', views.show_info_page),
    url(r'^robots.txt$', views.get_robots_txt, name = 'robots-txt'),
]
